<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Erreurs de notation de constantes</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // erreur sur la syntaxe octale avec une valeur à 9
 // seule la valeur 010 est utilisée
 $i = 01093;
 echo "==== \$i = 01093 : notation octale erron&eacute;e ====".WEB_EOL;
 echo   'echo     : $i='.$i." (d&eacute;cimal)".WEB_EOL;
 printf("printf   : \$i=%o (octal)",$i);
 echo WEB_EOL;
 echo   'var_dump : ';
 var_dump($i);
 echo WEB_EOL;
 // erreur sur la syntaxe décimale avec du texte
 //$i = 18azerty; syntaxe  erronée: erreur à l'interprétation
 $i = "18azerty";
 echo "==== \$i = \"18azerty\" : notation enti&egrave;re erron&eacute;e====".WEB_EOL;  
 echo   'echo     : $i='.$i." (cha&icirc;ne)".WEB_EOL;
 printf("printf   : \$i=%d (d&eacute;cimal)",$i);
 echo WEB_EOL;
 echo   'var_dump : ';
 var_dump($i);
 echo WEB_EOL;
 echo "----apr&egrave;s \$i=\$i+0-----".WEB_EOL; 
 $i=$i+0;
 echo   'echo     : $i='.$i." (d&eacute;cimal)".WEB_EOL;
 printf("printf   : \$i=%d (d&eacute;cimal)",$i);
 echo WEB_EOL;
 echo   'var_dump : ';
 var_dump($i);
 echo "========\n";
 ?>
 </body>
</html>